GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

## SYNOPSIS

    gdcmdiff [options] file1 file2

## DESCRIPTION

The gdcmdiff command line program takes as input two DICOM file: file1 and file2.

## PARAMETERS

    file1   DICOM input filename

    file2  DICOM output filename

## options

      -m      --meta          Compare metainformation. Default is off.
      -t <n>  --truncate <n>  String values trimmed to n characters.

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

## Simple usage

gdcmdiff is a great tool to diff DICOM files. Usage is simply:

    $ gdcmdiff input1.dcm input2.dcm

## SEE ALSO

gdcmdump(1), gdcminfo(1)

## COPYRIGHT

Copyright (c) 2006-2011 Mathieu Malaterre